Skip to content
Start here

List Internet services categories

GET/radar/ranking/internet_services/categories

Retrieves the list of Internet services categories.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
date: optional array of string

Filters results by the specified array of dates.

format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: optional number

Limits the number of objects returned in the response.

name: optional array of string

Array of names used to label the series in the response.

ReturnsExpand Collapse
result: { categories_0 }
categories_0: array of { name }
name: string
success: boolean

List Internet services categories

curl https://api.cloudflare.com/client/v4/radar/ranking/internet_services/categories \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "categories_0": [
      {
        "name": "Generative AI"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "categories_0": [
      {
        "name": "Generative AI"
      }
    ]
  },
  "success": true
}